Bug 1417452 - ksnapshot: rectangular region is broken (black screen and refresh issue)
Summary: ksnapshot: rectangular region is broken (black screen and refresh issue)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ksnapshot
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 14:17 UTC by Fabrice Salvaire
Modified: 2017-12-12 10:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:37:28 UTC
Type: Bug


Attachments (Terms of Use)
example of broken snapshot (46.91 KB, image/png)
2017-01-29 14:19 UTC, Fabrice Salvaire
no flags Details

Description Fabrice Salvaire 2017-01-29 14:17:20 UTC
Description of problem:
When we move an anchor of a rectangular region, screen content becomes black and display is partially refreshed.


Version-Release number of selected component (if applicable):
ksnapshot-15.08.3-4.fc25.x86_64

How reproducible:
always


Steps to Reproduce:
1. open ksnapshot
2. set rectangular region mode
3. take a new snapshot
4. move an anchor

Actual results:


Expected results:


Additional info:
Video driver is intel

Comment 1 Fabrice Salvaire 2017-01-29 14:19:05 UTC
Created attachment 1245580 [details]
example of broken snapshot

Comment 2 Rex Dieter 2017-01-29 14:20:40 UTC
Not specific to *this* bug, but... kde recommends a newer/better tool for this task now: spectacle  (ksnapshot will likely be retired in the near future)

Comment 3 Fabrice Salvaire 2017-01-29 14:28:23 UTC
This issue looks similar to this old one https://bugzilla.redhat.com/show_bug.cgi?id=1222831

Indeed spectacle works. Thanks for the tip!

Comment 4 Fedora End Of Life 2017-11-16 19:34:03 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:37:28 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.